#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 43. Audio Utilities

- Prev

  pnmixer-0.7.2

- Next

  Video Utilities

- Up
- Home

# vorbis-tools-1.4.2

## Introduction to Vorbis Tools

The Vorbis Tools package contains command-line tools useful for encoding, playing or editing files using the Ogg CODEC.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.xiph.org/releases/vorbis/vorbis-tools-1.4.2.tar.gz

- Download MD5 sum: 998fca293bd4e4bdc2b96fb70f952f4e

- Download size: 1.3 MB

- Estimated disk space required: 12 MB

- Estimated build time: 0.1 SBU

### Vorbis Tools Dependencies

#### Required

libvorbis-1.3.7

#### Optional (required to build the ogg123 program)

libao-1.2.0

#### Optional

cURL-7.75.0, FLAC-1.3.3, Speex-1.2.0, and libkate

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/vorbistools

## Installation of Vorbis Tools

Install Vorbis Tools by running the following commands:

    ./configure --prefix=/usr \
                --enable-vcut \
                --without-curl &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-vcut`: This parameter is used so that the vcut program is built as it is not by default.

`--without-curl`: This parameter disables HTTP streaming in ogg123. Remove this parameter if you have cURL installed.

## Configuring Vorbis Tools

###

#### Config Files

`/etc/libao.conf`, `~/.libao` and `~/.ogg123rc`

###

#### Configuration Information

Issue man libao.conf for information about setting the default output device. Also see `/usr/share/doc/vorbis-tools-1.4.2/ogg123rc-example` .

## Contents

Installed Programs: ogg123, oggdec, oggenc, ogginfo, vcut and vorbiscomment
Installed Libraries: None
Installed Directory: /usr/share/doc/vorbis-tools-1.4.2

### Short Descriptions

ogg123 | is a command-line audio player for Ogg Vorbis streams
oggdec | is a simple decoder which converts Ogg Vorbis files into PCM audio files (WAV or raw)
oggenc | is an encoder that turns raw, WAV or AIFF files into an Ogg Vorbis stream
ogginfo | prints information stored in an audio file
vcut | splits a file into two files at a designated cut point
vorbiscomment | is an editor that changes information in the audio file metadata tags

Last updated on 2021-02-22 15:55:36 -0800

- Prev

  pnmixer-0.7.2

- Next

  Video Utilities

- Up
- Home